Bug 1659791 - [abrt] Thunar: thunar_shortcuts_model_set_busy(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: thunar_shortcuts_model_set_busy(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:26c5c3a5ef6917bd26779d8cd71...
: 1696614 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-16 13:24 UTC by Айфф
Modified: 2019-04-05 09:17 UTC (History)
4 users (show)

Fixed In Version: Thunar-1.8.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-10 02:33:37 UTC


Attachments (Terms of Use)
File: backtrace (27.50 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: cgroup (359 bytes, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: core_backtrace (11.07 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: dso_list (10.25 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: environ (353 bytes, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: maps (64.84 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: mountinfo (3.39 KB, text/plain)
2018-12-16 13:24 UTC, Айфф
no flags Details
File: open_fds (2.25 KB, text/plain)
2018-12-16 13:25 UTC, Айфф
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-12-16 13:25 UTC, Айфф
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2018-12-16 13:25 UTC, Айфф
no flags Details

Description Айфф 2018-12-16 13:24:43 UTC
Version-Release number of selected component:
Thunar-1.8.2-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 3
cmdline:        /usr/bin/Thunar --daemon
crash_function: thunar_shortcuts_model_set_busy
executable:     /usr/bin/thunar
journald_cursor: s=d7b8957c8cb94d40adb6987cbdb79311;i=ddb7b;b=1edae2ee7b9c44cdb91ebe1d1053099f;m=3723fb4c;t=57b310b406c67;x=76f9cc09bd218e30
kernel:         4.19.2-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 thunar_shortcuts_model_set_busy at thunar-shortcuts-model.c:2164
 #1 thunar_shortcuts_view_eject_finish at thunar-shortcuts-view.c:1915
 #2 thunar_device_operation_finish at thunar-device.c:275
 #3 g_task_return_now at gtask.c:1148
 #4 g_task_return at gtask.c:1206
 #5 ??

Potential duplicate: bug 1252002

Comment 1 Айфф 2018-12-16 13:24:47 UTC
Created attachment 1514843 [details]
File: backtrace

Comment 2 Айфф 2018-12-16 13:24:48 UTC
Created attachment 1514844 [details]
File: cgroup

Comment 3 Айфф 2018-12-16 13:24:50 UTC
Created attachment 1514845 [details]
File: core_backtrace

Comment 4 Айфф 2018-12-16 13:24:51 UTC
Created attachment 1514846 [details]
File: cpuinfo

Comment 5 Айфф 2018-12-16 13:24:53 UTC
Created attachment 1514847 [details]
File: dso_list

Comment 6 Айфф 2018-12-16 13:24:54 UTC
Created attachment 1514848 [details]
File: environ

Comment 7 Айфф 2018-12-16 13:24:55 UTC
Created attachment 1514849 [details]
File: limits

Comment 8 Айфф 2018-12-16 13:24:57 UTC
Created attachment 1514850 [details]
File: maps

Comment 9 Айфф 2018-12-16 13:24:58 UTC
Created attachment 1514851 [details]
File: mountinfo

Comment 10 Айфф 2018-12-16 13:25:00 UTC
Created attachment 1514852 [details]
File: open_fds

Comment 11 Айфф 2018-12-16 13:25:02 UTC
Created attachment 1514853 [details]
File: proc_pid_status

Comment 12 Айфф 2018-12-16 13:25:04 UTC
Created attachment 1514854 [details]
File: exploitable

Comment 13 Mukundan Ragavan 2018-12-16 15:19:52 UTC
What were you doing when this crash happened?

Comment 14 Айфф 2018-12-31 18:44:36 UTC
I do not remember.

Comment 15 Fedora Update System 2019-01-25 02:23:42 UTC
Thunar-1.8.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b1c13464d

Comment 16 Fedora Update System 2019-01-26 03:29:04 UTC
Thunar-1.8.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b1c13464d

Comment 17 Fedora Update System 2019-01-27 21:54:11 UTC
Thunar-1.8.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-38fd1ced56

Comment 18 Fedora Update System 2019-01-28 02:24:57 UTC
Thunar-1.8.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-38fd1ced56

Comment 19 Fedora Update System 2019-02-10 02:33:37 UTC
Thunar-1.8.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 v.rumjantsev 2019-04-05 09:17:19 UTC
*** Bug 1696614 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.